%define upstream_name	 HTTP-Proxy
%define upstream_version 0.304

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    A pure Perl HTTP proxy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://http-proxy.mongueurs.net/
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz
# debugging 23connect
Patch2:		HTTP-Proxy-0.303-23connect-logging-debug.patch

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::Parser) >= 3.0.0
BuildRequires: perl(HTTP::Daemon)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Headers::Util)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(LWP::ConnCache)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(POSIX)
BuildRequires: perl(Socket)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The HTTP::Proxy module implements a HTTP proxy, using a HTTP::Daemon to
accept client connections, and a LWP::UserAgent to ask for the requested
pages.

The most interesting feature of this proxy object is its ability to
filter the HTTP requests and responses through user-defined filters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1
chmod 755 eg/*.pl

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
rm -f t/02pod-coverage.t
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{perl_vendorlib}/HTTP/*
%{_mandir}/*/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.304.0-8.mga10
+ Revision: 2199481
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.304.0-7.mga9
+ Revision: 1804034
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.304.0-6.mga8
+ Revision: 1495008
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.304.0-5.mga7
+ Revision: 1268524
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.304.0-4.mga6
+ Revision: 1028443
- Rebuild for perl 5.22.2

* Thu Mar 31 2016 tv <tv> 0.304.0-3.mga6
+ Revision: 997206
- fix testsuite: no parallel make + a patch from FC

* Fri Feb 19 2016 umeabot <umeabot> 0.304.0-2.mga6
+ Revision: 968146
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.304.0-1.mga6
+ Revision: 851356
- update to 0.304

* Sun Oct 19 2014 umeabot <umeabot> 0.301.0-4.mga5
+ Revision: 790250
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.301.0-3.mga5
+ Revision: 742555
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.301.0-2.mga5
+ Revision: 685009
- Mageia 5 Mass Rebuild

* Sun Aug 03 2014 sander85 <sander85> 0.301.0-1.mga5
+ Revision: 659429
- update to 0.301

* Sat Oct 19 2013 umeabot <umeabot> 0.300.0-2.mga4
+ Revision: 525857
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 0.300.0-1.mga4
+ Revision: 434759
- update to 0.300

* Sun Jan 13 2013 umeabot <umeabot> 0.250.0-2.mga3
+ Revision: 368323
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 0.25

* Sun Jan 23 2011 jquelin <jquelin> 0.240.0-1.mga1
+ Revision: 33829
- mageia rebuild
- imported package perl-HTTP-Proxy


* Fri Jul 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.240.0-1mdv2010.0
+ Revision: 399299
- update to 0.24
- using %%perl_convert_version
- fixed license field

* Fri Sep 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdv2009.0
+ Revision: 281103
- update to new version 0.23

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.22-2mdv2009.0
+ Revision: 268526
- rebuild early 2009.0 package (before pixel changes)

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2009.0
+ Revision: 202320
- update to new version 0.22

* Wed Apr 23 2008 Jérôme Quelin <jquelin@mandriva.org> 0.21-2mdv2009.0
+ Revision: 196892
- rebuild

* Mon Apr 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.21-1mdv2009.0
+ Revision: 196140
- update to new version 0.21

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.20-1mdv2008.1
+ Revision: 135847
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 17:20:37 (59608)
- 0.20

* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 17:18:41 (59607)
Import perl-HTTP-Proxy

* Fri Jun 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2007.0
- new version 
- rpmbuildupdate aware
- spec cleanup

* Mon Mar 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.18-1mdk
- 0.18

* Sat Oct 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.17-1mdk
- 0.17

* Mon Sep 19 2005 Pascal Terjan <pterjan@mandriva.org> 0.16-2mdk
- BuildRequires perl-Module-Build

* Thu Sep 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.16-1mdk
- 0.16

* Thu Apr 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.15-1mdk
- 0.15

* Mon Nov 01 2004 Michael Scherer <misc@mandrake.org> 0.13-2mdk
- BuildRequires

* Wed Aug 25 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.13-1mdk
- Initial MDK release.

